const express = require('express');

const regionApp = express();

const libs = `${process.cwd()}/libs`;

const squel = require('squel');

const query = require(`${libs}/middlewares/query`);

const response = require(`${libs}/middlewares/response`);

regionApp.get('/', (req, res, next) => {
    req.query = squel.select().from('regioes').toParam();
    next();
}, query, response);

regionApp.get('/:id', (req, res, next) => {
    req.query = squel.select().from('regioes').where('pk_regiao_id = ?',
        parseInt(req.params.id, 10)).toParam();
    next();
}, query, response);

module.exports = regionApp;
